Bug 88548 - Line Style drop down missing background colour
Summary: Line Style drop down missing background colour
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: All All
: medium minor
Assignee: aybuke
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-01-18 03:15 UTC by Gabriel Diosan
Modified: 2016-10-25 19:20 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Libreoffice Draw 4.5 Dev Line Style Dropdown Screenshot (142.82 KB, image/png)
2015-01-18 03:15 UTC, Gabriel Diosan
Details
Libreoffice Draw 4.3 Line Style dropdown screenshot (120.74 KB, image/png)
2015-01-18 03:19 UTC, Gabriel Diosan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Diosan 2015-01-18 03:15:40 UTC
Created attachment 112410 [details]
Libreoffice Draw 4.5 Dev Line Style Dropdown Screenshot

The Line Style drop down appears to be missing its background colour (white).

Steps to reproduce:

1. Open Libreoffice Draw
2. Cick on the Line Style drop down

Current Behaviour:

The background in the Line Style drop down where the lines are shown is not coloured, instead it looks as though it is missing the background element.

Expected Behaviour:

The background to the lines should be White as in previous versions.

Test Environment:

Ubuntu Gnome 15.04 (Gnome 3.14)

Version: 4.5.0.0.alpha0+
Build ID: 88562ee6e352b5446bb55e906e8f1c2f34035a49
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-01-16_23:58:11
Locale: en_AU
Comment 1 Gabriel Diosan 2015-01-18 03:19:03 UTC
Created attachment 112411 [details]
Libreoffice Draw 4.3 Line Style dropdown screenshot
Comment 2 Buovjaga 2015-01-29 17:51:14 UTC
Confirmed.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 3 Matthew Francis 2015-05-05 13:02:54 UTC
This began at the below commit.
Adding Cc: to caolanm@redhat.com; Could you possibly take a look at this one? Thanks
    
    commit 8b2a9a37306a7febf28e419280d1782ff230761a
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Mon Jan 12 16:54:45 2015 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Mon Jan 12 16:56:55 2015 +0000
    
        Resolves: fdo#79975 toggle checkered background back on
    
        Change-Id: Id856d8dbf437acb7e528e60b4d1b012102ff0557
Comment 4 Katarina Behrens (CIB) 2015-05-06 07:17:06 UTC
jphilipz: In bug 79975 you requested that images in gallery have transparent background again (they used to before, it was a regression introduced by one of AOOo commit merges). 

Caolan made your wish come true, but now all the previews everywhere - lines, borders, rectangles etc. (not fonts, fortunately) have transparent background. That's quite unfortunate, as it simply doesn't match how the shapes really look in the document (which usually has non-transparent background).

How to best proceed now? Revert to the previous status quo? That is - only gallery images have transparent background & background of every other preview matches the one of the document?

( unfortunately, this "transparent background everywhere" change has been backported to 4.4 withouth much thinking about its real impact )
Comment 5 Yousuf Philips (jay) 2015-05-06 09:46:46 UTC
(In reply to Katarina Behrens (CIB) from comment #4)
> Caolan made your wish come true, but now all the previews everywhere -
> lines, borders, rectangles etc. (not fonts, fortunately) have transparent
> background. That's quite unfortunate, as it simply doesn't match how the
> shapes really look in the document (which usually has non-transparent
> background).

I had noticed the transparency in the drop down and wondered why it was like that, but didnt think to much of it to report a bug. :D From what i've seen its only in the line drop down in the toolbar and sidebar, or was there more places?

> How to best proceed now? Revert to the previous status quo? That is - only
> gallery images have transparent background & background of every other
> preview matches the one of the document?

Yes only the gallery requires the transparency, while the line style should be on a white background, so that the black line is more visible.
Comment 6 Katarina Behrens (CIB) 2015-10-09 14:25:03 UTC
So 1st step would be: revert the commit mentioned in comment #3, that is, make background for misc previews default to non-transparent.

2nd step: find the code where gallery + fontwork background is set (hint: svx/source/gallery2/galctl.cxx, svx/source/tbxctrls/fontworkgallery.cxx respectively) and make it always use transparent background, independent on configuration.

HTH
Comment 7 aybuke 2015-10-11 13:29:34 UTC
Hi, Katarina

(In reply to Katarina Behrens (CIB) from comment #6)
> So 1st step would be: revert the commit mentioned in comment #3, that is,
> make background for misc previews default to non-transparent.

I have 1 question about step 1.
I found change about comment 3. https://gerrit.libreoffice.org/#/c/15460/

I revert the commit and compile module again. But when i run Libreoffice5 draw, I dont see observable change. Am I compile all libreoffice after the revert commit? or Am I on the wrong track?

Thanks. 
 
> 2nd step: find the code where gallery + fontwork background is set (hint:
> svx/source/gallery2/galctl.cxx, svx/source/tbxctrls/fontworkgallery.cxx
> respectively) and make it always use transparent background, independent on
> configuration.
> 
> HTH
Comment 8 Yousuf Philips (jay) 2015-10-11 15:17:43 UTC
Hi aybuke,

(In reply to aybuke from comment #7)
> I revert the commit and compile module again. But when i run Libreoffice5
> draw, I dont see observable change. Am I compile all libreoffice after the
> revert commit? or Am I on the wrong track?

As the change was in officecfg, you also need to compile postprocess, atleast that was what i was told previously. If that still doesnt work and compiling the entire LO doesnt take long (hope you got ccache installed), go for it. :D

https://wiki.documentfoundation.org/Development/BuildingOnLinux#Performance
Comment 9 Katarina Behrens (CIB) 2015-10-12 13:52:32 UTC
What jphilipz says :)

make officecfg && make postprocess should do the trick
Comment 10 aybuke 2015-10-23 10:36:35 UTC
Hi, I sent following patch for this bug about second step:
https://gerrit.libreoffice.org/#/c/19546/

I'm working in "rStyleSettings.GetPreviewUsesCheckeredBackground()" this control. But I'm not sure, deal right part. 
Can you give us any idea ?
Thanks
Comment 11 aybuke 2015-10-23 20:19:29 UTC
Hi again, I sent following patch for this bug, about second step for fontwork gallery:
https://gerrit.libreoffice.org/#/c/19565/

I'm working on other file.
Comment 12 Commit Notification 2015-10-27 15:50:23 UTC
Aybuke Ozdemir committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b322ace3b8f316104f7138b082d2ffdb282c816

tdf#88548 fontwork gallery always have transparent/checkered background.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Yousuf Philips (jay) 2015-10-28 13:34:38 UTC
Looks good. Have cherry-picked it for 5.0 and wonder if we should also cherry-pick it for 4.4.

https://gerrit.libreoffice.org/#/c/19642/
Comment 14 Commit Notification 2015-10-30 08:44:34 UTC
Aybuke Ozdemir committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=813b11a96e4c1243c4d3533eee148c49d8926ecc&h=libreoffice-5-0

tdf#88548 fontwork gallery always have transparent/checkered background.

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Robinson Tryon (qubit) 2015-12-17 08:45:14 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]